Subject: Re: [bug#71914] [PATCH 00/10] gnu: Add python-nh3.
From: Efraim Flashner <[email-masked]>
To: Nguyễn Gia Phong <[email-masked]>
Cc: Sharlatan Hellseher <[email-masked]>, Munyoki Kilyungi <[email-masked]>, Lars-Dominik Braun <[email-masked]>, [email-masked], jgart <[email-masked]>, Marius Bakke <[email-masked]>, Tanguy Le Carrour <[email-masked]>
Date: Wed, 3 Jul 2024 12:07:55 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jul 03, 2024 at 04:54:58PM +0900, guix-patches--- via wrote:
> nh3 is a HTML sanitization library for Python,
> generally a replacement for the now-deprecated bleach.
> 
> I use nh3 for a tool rendering mail threads into HTML,
> but that's to be packaged later since I also want to upgrade
> its other dependency, mistune.
> 
> Dependency tree among patches:
> * Add Python nh3
>   * Add Rust ammonia
>     * Add Rust html5ever 0.27
>       * Add Rust markup5ever 0.12
>       * Update Rust typed-arena 2 to 2.0.2
>   * Add Rust pyo3* 0.21 (also update pyo3* 0.20 to 0.20.3)
> 
> Nguyễn Gia Phong (10):
>   gnu: rust-typed-arena-2: Update to 2.0.2.
>   gnu: Add rust-markup5ever-0.12.
>   gnu: Add rust-html5ever-0.27.
>   gnu: Add rust-ammonia-4.
>   gnu: Add rust-pyo3-build-config-0.21.
>   gnu: Add rust-pyo3-ffi-0.21.
>   gnu: Add rust-pyo3-macros-backend-0.21.
>   gnu: Add rust-pyo3-macros-0.21.
>   gnu: Add rust-pyo3-0.21.
>   gnu: Add python-nh3.
> 
>  gnu/packages/crates-io.scm  | 240 ++++++++++++++++++++++++++++++------
>  gnu/packages/crates-web.scm |  29 +++++
>  gnu/packages/python-web.scm |  45 +++++++
>  3 files changed, 277 insertions(+), 37 deletions(-)
> 
> 
> base-commit: 4b3a553ca5ba5ac190739309eb5f7aa8170cf2a8

Since it wasn't only new packages I applied this to the rust-team
branch, which should be merged soon-ish.

There were a couple of missing bits, which I found while building all
the packages affected:
rust-pyo3-macros-0.21, rust-pyo3-macros-0.20:
Needs python-minimal as a native-input
rust-pyo3-macros-backend-0.21, rust-pyo3-macros-backend-0.20:
Needs rust-pyo3-build-config-0.2X as a cargo-input and python-minimal as
a native-input
rust-pyo3-0.21:
[cargo-inputs]: Added rust-chrono-tz-0.6, rust-portable-atomic-1.
[cargo-development-inputs]: Added rust-chrono-tz-0.6, rust-futures-0.3.
Removed rust-widestring-0.5.

I used the following command to build all the packages:
./pre-inst-env guix build --no-grafts --fallback --max-jobs=3 rust-typed-arena@2 [email-masked] [email-masked] rust-ammonia@4 rust-pyo3{,-{build-config,ffi,macros-backend,macros}}@0.{20,21} python-nh3

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted